clang 8.0.0

Namespaces | Enumerations | Functions
PPC.h File Reference
`#include "clang/Driver/Driver.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Option/Option.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for PPC.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::driver
| clang::driver::tools
| clang::driver::tools::ppc

## Enumerations
enum | clang::driver::tools::ppc::FloatABI { clang::driver::tools::ppc::FloatABI::Invalid, clang::driver::tools::ppc::FloatABI::Soft, clang::driver::tools::ppc::FloatABI::Hard }
enum | clang::driver::tools::ppc::ReadGOTPtrMode { clang::driver::tools::ppc::ReadGOTPtrMode::Bss, clang::driver::tools::ppc::ReadGOTPtrMode::SecurePlt }

## Functions
bool | clang::driver::tools::ppc::hasPPCAbiArg (const llvm::opt::ArgList &Args, const char *Value)
FloatABI | clang::driver::tools::ppc::getPPCFloatABI (const Driver &D, const llvm::opt::ArgList &Args)
std::string | clang::driver::tools::ppc::getPPCTargetCPU (const llvm::opt::ArgList &Args)
const char * | clang::driver::tools::ppc::getPPCAsmModeForCPU (StringRef Name)
ReadGOTPtrMode | clang::driver::tools::ppc::getPPCReadGOTPtrMode (const Driver &D, const llvm::Triple &Triple, const llvm::opt::ArgList &Args)
void | clang::driver::tools::ppc::getPPCTargetFeatures (const Driver &D, const llvm::Triple &Triple, const llvm::opt::ArgList &Args, std::vector< llvm::StringRef > &Features)